program compare_err

  use sep

  implicit none

  integer :: n1, n2
  real, allocatable :: tl(:,:), tr(:,:), bl(:,:), br(:,:), compare(:,:)
  real :: ds

  call sep_init()

  call from_aux("tl", "n1", n1)
  call from_aux("tl", "n2", n2)
  call from_aux("tl", "d1", ds)

  allocate(tl(n1,n2), tr(n1,n2), bl(n1,n2), br(n1,n2),compare(n1,n2))

  call sep_read(tl,"tl")
  call sep_read(tr,"tr")
  call sep_read(bl,"bl")
  call sep_read(br,"br")

  call to_history("n1",n1)
  call to_history("n2",n2)
  call to_history("d1",ds)
  call to_history("d2",ds)
  call to_history("o1",0)
  call to_history("o2",0)

  compare(1:n1/2,1:n2/2) = tl(1:n1/2,1:n2/2)
  compare(1:n1/2,1+n2/2:n2) = tr(1:n1/2,1+n2/2:n2)
  compare(1+n1/2:n1,1:n2/2) = bl(1+n1/2:n1,1:n2/2)
  compare(1+n1/2:n1,1+n2/2:n2) = br(1+n1/2:n1,1+n2/2:n2)

  call sep_write(compare)

  call sep_close()

end program
