program test

  use sep
  use sa_mod

  implicit none

  integer :: f_weight, v_weight, error, norm
  real :: ds, f_fun, v_mean, v_stdd, t, max_e, p_fit, f_max, v, a(4)
  double precision :: e

  call sep_init()

  call from_param("ds", ds, 5.)
  call from_param("f_fun", f_fun, 40.)
  call from_param("f_max", f_max, 100.)
  call from_param("v", v, 1800.)
  call from_param("p_fit", p_fit, 100.)
  call from_param("v_mean", v_mean, 2500.)
  call from_param("v_stdd", v_stdd, 300.)

  call from_param("f_weight",f_weight,0)
  call from_param("v_weight",v_weight,0)
  call from_param("norm",norm,0)
  call from_param("error",error,0)

  call from_param("a",a)

if (error == 1) then
 call init_sa_fv(p_fit,ds,f_fun,v_mean,v_stdd,f_weight,v_weight)
 if (norm == 2) then
  e = L2_err(a)  
 else
  e = max_err(a)  
 endif
else
 call init_sa_k(p_fit,ds,v,f_max)
 e = max_rel_err(a)  
endif

  write(0,*) a
  write(0,*) e

end program
